package de.dhbwstuttgart.target.tree;

import de.dhbwstuttgart.parser.scope.JavaClassName;
import de.dhbwstuttgart.target.tree.type.TargetRefType;
import de.dhbwstuttgart.target.tree.type.TargetType;

import java.util.List;
import java.util.Set;

public record TargetRecord(int modifiers, JavaClassName qualifiedName, Set<TargetGeneric> generics, Set<TargetGeneric> txGenerics, List<TargetType> implementingInterfaces, List<TargetConstructor> constructors, TargetMethod staticConstructor, List<TargetField> fields, List<TargetMethod> methods) implements TargetStructure {

    public static final TargetType RECORD = new TargetRefType("java.lang.Record");
    public TargetType superType() {
        return RECORD;
    }
}
